Data Fields
kvmLogMsgEx Struct Reference

A CAN message. More...

`#include <kvmlib.h>`

## Data Fields
uint32 | id
| The message identifier. More...
int64 | timeStamp
| The timestamp in units of 1 nanosecond. More...
uint32 | channel
| The device channel on which the message arrived, 0,1,... More...
uint32 | dlc
| The length of the message. More...
uint32 | flags
| Message flags canMSG_xxx. More...
uint8 | data [64]
| Message data (64 bytes) More...

## Detailed Description

A CAN message.

## Field Documentation

## ◆ channel

uint32 channel

The device channel on which the message arrived, 0,1,...

## ◆ data

uint8 data[64]

Message data (64 bytes)

## ◆ dlc

uint32 dlc

The length of the message.

## ◆ flags

uint32 flags

Message flags canMSG_xxx.

## ◆ id

uint32 id

The message identifier.

## ◆ timeStamp

int64 timeStamp

The timestamp in units of 1 nanosecond.

The documentation for this struct was generated from the following file:

- kvmlib.h